/*
 * @author  xamidev <xamidev@riseup.net>
 * @brief   Physical memory manager from freelist
 * @license GPL-3.0-only
 */

#ifndef PAGING_PMM_H
#define PAGING_PMM_H

#include <limine.h>
#include <kernel.h>

void pmm_init(struct boot_context boot_ctx);
void pmm_free(uintptr_t addr);
uintptr_t pmm_alloc(void);

#endif